# MSP::CCS::Geocentric Class Reference

`#include <Geocentric.h>`

Inheritance diagram for MSP::CCS::Geocentric:

List of all members.

## Public Member Functions

| Geocentric (double ellipsoidSemiMajorAxis, double ellipsoidFlattening)
| Geocentric (const Geocentric &g)
| ~Geocentric (void)
Geocentric & | operator= (const Geocentric &g)
MSP::CCS::CartesianCoordinates * | convertFromGeodetic (const MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::CartesianCoordinates *cartesianCoordinates)

## Detailed Description

Definition at line 93 of file Geocentric.h.

## Constructor & Destructor Documentation

Geocentric::Geocentric | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening |
| ) |  |  |

Definition at line 116 of file Geocentric.cpp.

Geocentric::Geocentric | ( | const Geocentric & | g | ) |

Definition at line 150 of file Geocentric.cpp.

Geocentric::~Geocentric | ( | void |  | ) |

Definition at line 159 of file Geocentric.cpp.

## Member Function Documentation

MSP::CCS::CartesianCoordinates * Geocentric::convertFromGeodetic | ( | const MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 178 of file Geocentric.cpp.

MSP::CCS::GeodeticCoordinates * Geocentric::convertToGeodetic | ( | MSP::CCS::CartesianCoordinates * | cartesianCoordinates | ) |

Definition at line 230 of file Geocentric.cpp.

Geocentric & Geocentric::operator= | ( | const Geocentric & | g | ) |

Definition at line 164 of file Geocentric.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/geocent/Geocentric.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/geocent/Geocentric.cpp